com.h3c.util.snmp

## Enum SnmpVersionType

- java.lang.Object
- - java.lang.Enum<SnmpVersionType>
  - - com.h3c.util.snmp.SnmpVersionType

- All Implemented Interfaces:
    Serializable, Comparable<SnmpVersionType>

      public enum SnmpVersionType
      extends Enum<SnmpVersionType>

  SNMP version enumeration.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `SNMP_V1` SNMP version 1.
    `SNMP_V2` SNMP version 2 (SNMPv2c).
    `SNMP_V3` SNMP version 3.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static SnmpVersionType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static SnmpVersionType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SNMP_V1

          public static final SnmpVersionType SNMP_V1

      SNMP version 1.

    - #### SNMP_V2

          public static final SnmpVersionType SNMP_V2

      SNMP version 2 (SNMPv2c).

    - #### SNMP_V3

          public static final SnmpVersionType SNMP_V3

      SNMP version 3.

  - ### Method Detail

    - #### values

          public static SnmpVersionType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (SnmpVersionType c : SnmpVersionType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static SnmpVersionType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2014. All Rights Reserved.